# Star/Unstar Location Photos

```http
POST https://api.synup.com/api/v4/locations/photos/star
```

This API allows you to star or unstar photo(s) for a specific location. A starred photo highlights its importance and increases its visibility in certain displays.

:::caution[]

A location can have a maximum of 4 starred images. Attempting to star additional photos will result in an error.
Only additional photo types can be starred or unstarred. The logo and cover image cannot be starred.

:::

For more details, refer to Manage photos for your location.

Source: https://developer.synup.com/api/locations/star-unstar-location-photos

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `input` | object | required |  |
| `input.locationId` | string | required | ID of the location containing the photos |
| `input.photoIds` | array of string | required | List of Photo IDs to be starred/unstarred, which can found from query locations |
| `input.starred` | boolean | required | true to star; false to unstar |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/locations/photos/star' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "input": {
    "locationId": "TG9jYXRpb246MTA4NzIxMQ==",
    "photoIds": [
      "TWVkaWFGaWxlOjU2MzgyMDU="
    ],
    "starred": true
  }
}'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | The response will provide details of the photos that were processed, whether successfully starred or unstarred. If any errors occur, the response will include error information. |
